<template>
  <div class="auth container">
    <img @click="back" class="auth-back" src="../assets/images/icons/back.svg" alt="">
    <div v-if="isReg" class="registration">
      <transition-group name="v-transition-animate">
        <div v-if="step === 1" :key="1">
          <div class="card">
            <p class="card-title">Регистрация</p>
            <p>Номер телефона</p>
            <Input input placeholder="+7 (___) ___-__-__"/>
          </div>
          <div class="auth-policy">
            <div>
              <input name="policy" id="policy" checked type="checkbox">
              <label for="policy">
                Я согласен с политикой конфидициальности
              </label>
            </div>
          </div>
          <Button @click.native="step = 2" arrow text="Получить код"/>
        </div>
        <div v-if="step === 2" :key="2">
          <div class="card">
            <p class="card-title">Регистрация</p>
            <p>Введите последние 6 цифр<br>позвонившего номера</p>
            <Input input input-type="password" placeholder="*********"/>
          </div>
          <div class="auth-policy">
            <label for="policy">
              Отправить код повторно
            </label>
            <p class="auth-time subtitle">0:00</p>
          </div>
          <Button @click.native="step = 3" arrow text="Зарегистрироваться"/>
        </div>
        <div v-if="step === 3" :key="3">
          <div class="card" style="margin-bottom: 24px">
            <p class="card-title">Создание пароля</p>
            <p>Придумайте пароль</p>
            <Input style="margin-bottom: 16px" input input-type="password" placeholder="*********"/>
            <p>Повторите пароль</p>
            <Input input input-type="password" placeholder="*********"/>
          </div>
          <Button @click.native="step = 4" arrow text="Зарегистрироваться"/>
        </div>
      </transition-group>
    </div>
    <div v-if="!isReg" class="login">
      <div class="card">
        <p class="card-title">Войти</p>
        <p>Номер телефона</p>
        <Input style="margin-bottom: 16px" input placeholder="+7 (___) ___-__-__"/>
        <p>Пароль</p>
        <Input input input-type="password" placeholder="*********"/>
      </div>
      <div class="auth-policy">
        <div>
          <input name="remember" id="remember" checked type="checkbox">
          <label for="remember">
            Запомнить меня
          </label>
        </div>
        <div class="auth-pass-recovery">
          <a>Забыли пароль?</a>
        </div>
      </div>
      <Button arrow text="Войти"/>
    </div>
  </div>
</template>

<script>
import Input from "../components/Input";
import Button from "../components/Button";
export default {
  name: "Auth",
  components: {Button, Input},
  data () {
    return {
      step: 1
    }
  },
  computed: {
    isReg () {
      return this.$route.params.id === 'registration'
    }
  },
  methods: {
    back () {
      if (this.step === 1) this.$router.go(-1)
      if (this.step === 2) return this.step = 1
      if (this.step === 3) return this.step = 2
    }
  }
}
</script>

<style scoped lang="scss">
.auth {
  padding-bottom: 24px;
  position: relative;
  z-index: 300;
  background-color: #F1F2F4;
  height: 100vh;
  .auth-back {
    margin-bottom: 29px;
  }
  .registration {
    margin-bottom: 24px;
    .card {
      margin-bottom: 12px;
    }
  }
  .login {
  }
  .auth-policy {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #2B7FE2;
    margin: 12px 0 24px 0;
    input {
      margin-right: 12px;
      transform: translate(0, 1px);
    }
    .auth-pass-recovery {
      a { color: #25282B; }
    }
  }
}
.v-transition-animate-enter {
  transform: translateX(350px);
  opacity: 0;
}
.v-transition-animate-enter-active {
  transition: all .4s ease;
}
.v-transition-animate-enter-to {
  opacity: 1;
}
.v-transition-animate-leave {
  height: 150px;
  opacity: 1;
}
.v-transition-animate-leave-active {
  transition: transform .4s ease, opacity .4s, height .4s .2s;
}
.v-transition-animate-leave-to {
  height: 0;
  transform: translateX(350px);
  opacity: 0;
}
.v-transition-animate-move {
  transition: transform .4s;
}
</style>
